---
name: Bug report
about: 'Create a report to help us improve the openHAB client for Android'
labels: bug

---

<!-- Please search the issue, if there is one with your issue -->

### Actual behaviour
Describe us what happens


### Expected behaviour
Describe us what should happen

 
### Steps to reproduce
1. Describe us how to reproduce the issue
2. Use a list for it


### Can you reproduce the issue in demo mode?
<!-- You don't need to fill all server related information, when you can reproduce the bug in demo mode -->
<!-- Only on a specific subpage? -->


### Environment data
#### Client
* Android version: 
* Device model: 
* App version <!-- Can be found under "About" -->: 
* Build flavor <!-- Play Store and GitHub = "Full", F-Droid = "Foss". If self-built and you haven't changed the flavor, it's Foss -->: 
* Device language: 

#### Server
* Server version: 
* Reverse Proxy: 
* Authentication method <!--(None, user and password, SSL Client certificate)-->: 

#### openHAB Cloud
* Self hosted cloud or myopenhab.org: 
* openHAB Cloud version <!-- If self hosted -->: 
* Authentication method <!--(None, user and password, SSL Client certificate)-->: 

### Logs
#### App log
<details>
  <summary>Click to expand</summary>

```
Please add the app log if the issue is not a pure UI issue or it cannot be reproduced in demo mode.
Open the app, go to `Settings` => `View log` and insert the log here.
```

</details>


#### openHAB Server log
<details>
  <summary>Click to expand</summary>

```
Not required.
If you have installed openHAB via `apt-get`, the log is located under `/var/log/openhab2/openhab.log`
```

</details>
